# $Revision: 1.25 $, $Date: 2005/11/24 05:49:48 $
%define		zope_subname	Silva
Summary:	A Zope-based web application
Summary(pl):	Aplikacja dla stron WWW oparta na Zope
Name:		Zope-%{zope_subname}
# %%define		sub_ver b1
Version:	1.4.1
Release:	1
License:	Distributable
Group:		Development/Tools
Source0:	http://www.infrae.com/download/Silva/%{version}/%{zope_subname}-%{version}-all.tgz
# Source0-md5:	02bbaa8a7e116ee53bcd0f7eba19207a
URL:		http://www.infrae.com/products/silva/
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	Zope >= 2.6.1
Requires:	Zope-kupu >= 1.3.1
Requires:	Zope-FileSystemSite >= 1.4.2
Requires:	Zope-Formulator >= 1.10
Requires:	Zope-PlacelessTranslationService
Requires:	python-PyXML >= 0.8.3
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Silva is a Zope-based web application designed for the creation and
management of structured, textual content.

%description -l pl
Silva to aplikacja dla stron WWW oparta na Zope, zaprojektowana do
tworzenia i zarzdzania struktur treci tekstowej.

%prep
%setup -q -c

%build
# remove dirs - additional packages!
rm -rf {Formulator,FileSystemSite,PlacelessTranslationService,kupu}

mkdir docs docs/Annotations docs/ParsedXML docs/ProxyIndex docs/Silva docs/SilvaDocument \
	docs/SilvaMetadata docs/SilvaViews docs/Sprout docs/XMLWidgets
mv -f Annotations/{CREDITS.txt,HISTORY.txt,INSTALL.txt,README.txt} docs/Annotations
mv -f ParsedXML/{CHANGES.txt,CREDITS.txt,INSTALL.txt,README.txt} docs/ParsedXML
mv -f ProxyIndex/{CREDITS.txt,HISTORY.txt,INSTALL.txt,README.txt} docs/ProxyIndex
mv -f Silva/{CREDITS.txt,HISTORY.txt,INSTALL.txt,README.txt,TROUBLESHOOTING.txt,UPGRADE.txt} docs/Silva
mv -f SilvaDocument/{HISTORY.txt,INSTALL.txt,README.txt} docs/SilvaDocument
mv -f SilvaMetadata/{API.txt,CREDITS.txt,HISTORY.txt,INSTALL.txt,README.txt,ROADMAP.txt} docs/SilvaMetadata
mv -f SilvaViews/{CREDITS.txt,HISTORY.txt,INSTALL.txt,README.txt} docs/SilvaViews
mv -f Sprout/{HISTORY.txt,README.txt} docs/Sprout
rm -rf Sprout/LICENSES.txt
mv -f XMLWidgets/{CREDITS.txt,HISTORY.txt,INSTALL.txt,README.txt} docs/XMLWidgets
# mv -f kupu/README*.txt docs/kupu

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af {Annotations,ParsedXML,ProxyIndex,Silva,SilvaDocument,SilvaMetadata,SilvaViews,Sprout,XMLWidgets} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/docs

%clean
rm -rf $RPM_BUILD_ROOT

%post
for p in Annotations ParsedXML ProxyIndex Silva SilvaDocument SilvaMetadata SilvaViews Sprout XMLWidgets; do
	/usr/sbin/installzopeproduct %{_datadir}/%{name}/$p
done
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	for p in Annotations ParsedXML ProxyIndex Silva SilvaDocument SilvaMetadata SilvaViews Sprout XMLWidgets; do
		/usr/sbin/installzopeproduct -d $p
	done
fi
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%files
%defattr(644,root,root,755)
%doc docs/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-Silva.spec,v $
Revision 1.25  2005/11/24 05:49:48  ciesiel
- upgraded to version 1.4.1

Revision 1.24  2005/11/11 11:58:01  ciesiel
- upgrade to version 1.4

Revision 1.23  2005/10/08 15:16:37  ciesiel
- remove kupu from Silva

Revision 1.22  2005/05/01 11:04:35  ciesiel
- upgraded to version 1.2.2

Revision 1.21  2005/05/01 10:47:40  ciesiel
- upgraded to version 1.2.1

Revision 1.20  2005/04/22 17:43:23  ciesiel
- upgraded to version 1.1.4

Revision 1.19  2005/01/13 06:39:56  ankry
- spaces -> tabs

Revision 1.18  2005/01/12 21:11:06  ciesiel
- added BR: python

Revision 1.17  2004/12/25 18:14:21  saq
- release 2 for rebuild with python 2.4

Revision 1.16  2004/12/22 09:06:02  ciesiel
- upgraded to version 1.1.1 (bug fix release)

Revision 1.15  2004/10/30 11:21:15  paladine
- spaces->tabs

Revision 1.14  2004/10/19 17:28:16  qboosh
- more gpm-friendly Source0 URL

Revision 1.13  2004/10/07 19:55:56  ciesiel
- upgraded to version 1.1

Revision 1.12  2004/08/08 08:49:43  ciesiel
- upgraded to version 1.0.1

Revision 1.11  2004/07/28 08:03:21  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.10  2004/07/16 14:03:26  ciesiel
- upgraded to version 1.0
- removed doubled product

Revision 1.9  2004/05/28 19:07:01  ciesiel
- upgraded to version 1.0b1

Revision 1.8  2004/04/14 08:52:28  ciesiel
- upgraded to version 0.9.3.6

Revision 1.7  2004/02/25 17:28:11  ciesiel
- upgraded to 0.9.3.3 version

Revision 1.6  2004/01/14 08:41:25  ciesiel
- upgraded to 0.9.3 version

Revision 1.5  2003/11/28 19:32:13  ciesiel
- upgraded to version 0.9.3 beta1

Revision 1.4  2003/11/24 17:19:38  ciesiel
- fixed installproduct loop

Revision 1.3  2003/11/17 12:23:26  ciesiel
- install into new dir. (datadir)
- instalzopeproduct
- cleaning

Revision 1.2  2003/10/24 21:14:41  qboosh
- summary/desc cleanups

Revision 1.1  2003/10/24 20:54:46  ciesiel
- initial release
